<?php

namespace Lc\CaracoleBundle\Repository\File;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\File\DocumentInterface;

/**
 * @method DocumentInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method DocumentInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method DocumentInterface[]    findAll()
 * @method DocumentInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class DocumentRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, DocumentInterface::class);
    }
}
