<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Order\OrderProductInterface;

/**
 * @method OrderProductInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderProductInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderProductInterface[]    findAll()
 * @method OrderProductInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderProductRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, OrderProductInterface::class);
    }
}
