<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Order\OrderReductionCreditInterface;

/**
 * @method OrderReductionCreditInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderReductionCreditInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderReductionCreditInterface[]    findAll()
 * @method OrderReductionCreditInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderReductionCreditRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, OrderReductionCreditInterface::class);
    }
}
