<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Order\OrderStatusHistoryInterface;

/**
 * @method OrderStatusHistoryInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderStatusHistoryInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderStatusHistoryInterface[]    findAll()
 * @method OrderStatusHistoryInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderStatusHistoryRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, OrderStatusHistoryInterface::class);
    }
}
