<?php

namespace Lc\CaracoleBundle\Definition;


class MerchantSettingDefinition extends AbstractSettingDefinition implements MerchantSettingDefinitionInterface
{
    const CATEGORY_GENERAL = 'general';

    const SETTING_URL = 'url';

    public function __construct()
    {
        $this
                ->addSettingText(
                        [
                                'name' => self::SETTING_URL,
                                'category' => self::CATEGORY_GENERAL,
                        ]
                ) ;
    }

    public function getCategories()
    {
        return [
                self::CATEGORY_GENERAL,
        ];
    }

}