<?php

namespace Lc\CaracoleBundle\Repository\Reduction;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Reduction\ReductionCatalogInterface;

/**
 * @method ReductionCatalogInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method ReductionCatalogInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method ReductionCatalogInterface[]    findAll()
 * @method ReductionCatalogInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ReductionCatalogRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ReductionCatalogInterface::class);
    }
}
