<?php

namespace Lc\CaracoleBundle\Repository\Reduction;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Reduction\ReductionCreditInterface;

/**
 * @method ReductionCreditInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method ReductionCreditInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method ReductionCreditInterface[]    findAll()
 * @method ReductionCreditInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ReductionCreditRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ReductionCreditInterface::class);
    }
}
